Bądź: Wyszukaj na stronie z użyciem Google
reklama:

sobota, 6 czerwca 2009

Instalacja Skype w Ubuntu 9.04 Jaunty - 64bit

Autor: , 11:00, sobota, 6 czerwca 2009


Programu Skype nie trzeba nikomu przedstawiać. Pomimo iż obecnie powstało wiele innych, często lepszych, aplikacji do porozumiewania się dźwiękowo przez internet, popularność narzędzia robi swoje.

O ile z instalacją 32-bitowej wersji nikt nie powinien mieć problemu, to posiadacze architektury 64-bitowej jak zwykle muszą się nieco wysilić. Pokażę w prostych krokach, jak wgrać Skype'a na komputerze z takimi procesorami.

Cała procedura składa się z kilku prostych kroków:

1) Pobieramy Skype.

2) Instalujemy dodatkowe pakiety:
sudo apt-get install ia32-libs libqt4-core libqt4-gui

3) Na koniec z ich pomocą uruchamiamy paczkę ze Skype:
sudo dpkg -i -force-architecture skype-debian_2.0.0.72-1_i386.deb

Po tym, program powinien już normalnie działać, podobnie jak w komputerach z architekturą 32-bitową.

źródła: webupd8.blogspot.com, paraisolinux.com.ar
Komentarze 22 comments
blind pisze...

Zainstalować, to nie problem, ale czy ktoś może mi powiedzieć, jak zmienić kolorki "dymka", który pojawia się po najechaniu na ikonkę w trayu? Ja u siebie w Ubu dymki mam czarne, a tekst na ich tle biały. W skype dymek dalej jest żółty, a test biały, przez co, raz że nie pasuje do reszty systemu, a dwa, biały tekst na żółtym tle jest całkowicie nieczytelny. Tylko ta wada dyskwalifikuje program na moim kompie...

Anonimowy pisze...

A ja mam problem podczas instalacji. Gdy wydaję polecenie sudo dpkg-i-force-architecture skype-debian_2.0.0.72-1_i386.deb
to w terminalu pokazuje się coś takiego:
sudo: dpkg-i-force-architecture: command not found
dpkg oczywiście mam zainstalowane.

Anonimowy pisze...

Nie kopiujcie ślepo formuł!
Powinno być:
sudo dpkg -i -force-architecture skype-debian_2.0.0.72-1_i386.deb

skoruppa pisze...

blind: skype --disable-cleanlooks w terminalu :)

frk pisze...

Zaj^%#sta ta Twoja procedura (: I znowu "Blog dla początkujących" userów wszystko gmatwa :/

Zakładając, że ma się w systemie repo medibuntu - a ma je chyba każdy? Wystarczy 1 (słownie jedno) magiczne poleconko:

sudo apt-get install skype (i do tego trzeba poradniki? ROTFL)

ZALEŻNOŚCI ŚCIĄGNĄ SIĘ SAME!!!

Adrian Nowak pisze...

Ciekawe z jakiej okazji ma mieć je każdy? Chyba łatwiej wpisać 2 polecenia w konsoli niż dodawać repozytorium..

blind pisze...

@skoruppa
Dzięki wielkie! Pomogło. :)

Anonimowy pisze...

wersja z repozytoriów medibuntu działa lepiej

xentteo pisze...

Ludzie, dajcie w końcu Adrianowi spokój, przecież on to pisze po to aby komuś pomóc, a nie zaszkodzić! Jak ktoś nie zainstaluje wg podanego tu sposobu to poszuka innego i tyle. Niewiem po co te sarkastyczne komentarze "fachowców".

Anonimowy pisze...

A kiedy nauczymy sie instalowac notatnik :> ?

frk pisze...

xentteo - te jego "zabiegi" i "porady" w tym tekście są KOMPLETNIE nie potrzebne! Innym sposobem huh... Czy potrafisz to ogarnąć?
I instalacja z repo i instalacja z deba, powoduję że zależności "SAME" się pobierają. Więc po co jakieś dodatkowe rzeczy, wytłumacz to "mądralo" :P

Anonimowy pisze...

a po co instalować wersje 32-bit skoro można znaleźć wersję 64-bit??

Anonimowy pisze...

@frk masz rację! ja również jestem za tym, aby nie dodawać paczek spoza repozytorium. Poniżej argumenty:

- problemy przy uaktualnianiu do nowej wersji (np. z 8.10 do 9.04, pakiet zostanie odinstalowany i nie zostanie zainstalowany nowy, bo niewiadomo jaki i skąd).

- pozbawiamy się automatycznych uaktualnień, automatycznie nie zainstaluje się nowsza wersja jak również poprawki bezpieczeństwa

- narażamy się na zainstalowanie trojana albo innego szkodnika, programy z repozytorium są pewniejsze, dodatkowo przed rozpakowaniem sprawdzany jest skrót (np. MD5) weryfikujący, czy ktoś coś nie dorzucił do binarki (przy instalacji ręcznej raczej nikt tego nie robi)

Dlatego polecam wszystkie pakiety instalować z repozytorium i unikać obcych ,,debów''. W medibuntu jest praktycznie wszystko czego brakuje w standardowych repozytoriach przeciętnemu użytkownikowi.

marcinsud pisze...

Ha to ja na szybko wzorując się stroną medibuntu stworzyłem 1 (słownie jedną) komendę instalującą skype na jakiejkolwiek wersji ubuntu ;]

wystarczy wkleić w terminal chlasnąć enter i wpisać hasło
http://wklej.to/YtMj

Wrzucone na wklej.to żeby się nic nie zepsuło, przy zamieszczaniu komentarza.
Dzieło na licencji tak jak oryginał na medibuntu Creative Commons Attribution-ShareAlike 3.0

Anonimowy pisze...

Hmm, jakie są lepsze programy do normalnej rozmowy głosowej? GG? lol...

DoNaLdZisKo pisze...

Przyłączam się do przedmówcy jakie są inne programy do komunikacji głosowej, chętnie wypróbuje

Anonimowy pisze...

Jezu, ile bluzgów. Tyle na temat społeczności opensource. M$ nie bluzga.

Anonimowy pisze...

M$ nie bluzga, tylko zniewala...

Maciej pisze...

a u mnie skype w ogole nie działa

znaczy sie jak tylko odpale skype to zaraz to chore pulseaudio sie zawiesza

Kto to wymyslił to pulse duzy krok wstecz linuxa

Anonimowy pisze...

"dpkg: konflikt między działaniem -f (--field) i -i (--install)"

i koniec zabawy z instalacją :(

a później komunikat :
"Opcje oznaczone [*] podają dużo treści - skieruj potok na "less" lub "more"!"

i basta :((

Anonimowy pisze...

ma być
sudo dpkg -i --force-architecture skype-debian_2.0.0.72-1_i386.deb

Anonimowy pisze...

sudo apt-get install skype
[sudo] password for weronika:
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Pakiet skype nie ma dostępnej wersji, ale odnosi się do niego inny pakiet.
Zazwyczaj oznacza to, że pakietu brakuje, został zastąpiony przez inny
pakiet lub nie jest dostępny przy pomocy obecnie ustawionych źródeł.
E: Pakiet skype nie ma kandydata do instalacji
weronika@weronika-laptop:~$

Prześlij komentarz


Popularne posty

Etykiety